import type { PerseusRenderer } from "@khanacademy/perseus-core";
export declare function radioQuestionBuilder(): RadioQuestionBuilder;
declare class RadioQuestionBuilder {
    private content;
    private choices;
    private countChoices?;
    private hasNoneOfTheAbove?;
    private multipleSelect?;
    private randomize?;
    private static?;
    private numCorrect?;
    build(): PerseusRenderer;
    withContent(content: string): RadioQuestionBuilder;
    withCountChoices(countChoices: boolean): RadioQuestionBuilder;
    withHasNoneOfTheAbove(hasNoneOfTheAbove: boolean): RadioQuestionBuilder;
    withMultipleSelect(multipleSelect: boolean): RadioQuestionBuilder;
    withRandomize(randomize: boolean): RadioQuestionBuilder;
    withStatic(isStatic: boolean): RadioQuestionBuilder;
    withNumCorrect(numCorrect: number): RadioQuestionBuilder;
    addChoice(content: string, options?: {
        correct?: boolean;
        rationale?: string;
        isNoneOfTheAbove?: boolean;
    }): RadioQuestionBuilder;
}
export {};
